Bug 152301 - 'parted check' says filesystem has incompatible feature enabled
'parted check' says filesystem has incompatible feature enabled
Status: CLOSED UPSTREAM
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: parted (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-27 17:53 EST by Robert G. 'Doc' Savage
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-31 12:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert G. 'Doc' Savage 2005-03-27 17:53:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050322 Red Hat/1.7.6-1.4.1

Description of problem:
When I try to use parted to check a large (1TB) partition created under RHEL3/ES before resizing it, it complains about some unspecified incompatible feature being enabled in the filesystem.

Version-Release number of selected component (if applicable):
parted-1.6.19-1.EL

How reproducible:
Always

Steps to Reproduce:
1. # parted /dev/i2o/hdb1 check
2.
3.
  

Actual Results:  Partition number? 1    <-- Huh? I already specified hdb1
Error: Filesystem has incompatible feature enabled

Expected Results:  I believe it should have given me an e2fsck-like report on the filesystem's integrity.

Additional info:

This filesystem was originally created under RHEL3/ES Update 2 using the old dpt_i2o driver. The true available space exceeded the 1024*1024MB limitation imposed under RHEL3. Under RHEL4/ES and the new i2o_block driver, parted reports a potential partition size of 1120112MB, and I'm hoping to use parted to resize the partition and use the ~70GB that's not yet allocated.
Comment 1 its.a.thing 2005-05-24 17:42:32 EDT
1) Enter "print" at the parted shell to have the partition numbers displayed.

2) This happens to me too with Fedora Core 3.
Comment 2 David Cantrell 2007-10-31 12:19:12 EDT
This has been fixed in upstream parted (well, it at least tells you what
features ARE supported and which one you have that trips us up).  We are
currently working on expanding the filesystem support in libparted, but it's not
a trivial fix.

If this is a serious bug for you in RHEL4, please contact Red Hat technical
support or your account manager so an appropriate issue tracker bug can be
opened for us to address it in a RHEL4 update release.

Note You need to log in before you can comment on or make changes to this bug.